/*-------------------------------------------------------------
 *  Copyright (c) 2010, MSS ComBlock. All rights reserved.
 *
 * 	Filename: iap.h
 *  Last modified: 7/24/10
 *  Authors:
 *  	Alain Zarembowitch / MSS ComBlock
 *  Version: 1.0
 *  Inheritance: NXP secondary bootloader example. sbl_iap.c/sbl_iap.h/sbl_config.h
 *  Description: In-Application Programming
 *  Erase/write operation on the on-chip flash memory, as directed by the user application code.
 *
 *  Dependencies/Pre-requisite: N/A
 -------------------------------------------------------------*/
#ifndef IAP_H_
#define IAP_H_

#define FLASH_BUF_SIZE 256
#define NSECTORS 30
#define CONFIG_SECTOR 1  // flash sector where the comblock configuration is saved
#define IAP_LOCATION 0x1FFF1FF1

typedef enum
{
IAP_CMD_SUCCESS		= 0,
IAP_INVALID_COMMAND,
IAP_SRC_ADDR_ERROR,
IAP_DST_ADDR_ERROR,
IAP_SRC_ADDR_NOT_MAPPED,
IAP_DST_ADDR_NOT_MAPPED,
IAP_COUNT_ERROR,
IAP_INVALID_SECTOR,
IAP_SECTOR_NOT_BLANK,
IAP_SECTOR_NOT_PREPARED_FOR_WRITE_OPERATION,
IAP_COMPARE_ERROR,
IAP_BUSY,
IAP_SRCTOOLARGE
}IAP_Result_Code;


extern unsigned long start_address(unsigned long sectorNo);
extern unsigned long end_address(unsigned long sectorNo);
//extern long load_configuration(void);
extern long save_configuration(int, struct config_sw *);
extern long read_sn(int *);
extern void read_mid(int, char * );
extern void read_sw_config(int, struct config_sw * );
extern void read_hw_config(struct config_hw * );
extern long initialize_configs(void);

#endif /* IAP_H_ */
