/*-------------------------------------------------------------
 *  Copyright (c) 2010, MSS ComBlock. All rights reserved.
 *
 * 	Filename: initConfig.h
 *  Created on: Jun 23, 2010
 *  Last modified:
 *  Authors:
 *  	Alain Zarembowitch / MSS ComBlock
 *  Version: 1.0
 *  Inheritance: N/A
 *  Description: initializes the LPC1759 internal configuration (or re-configure it)
 *  within the COM-1600 FPGA+ARM+USB2+DDR2+NAND development platform.
 *  No configuration of external peripherals here.
 *
 *  Dependencies/Pre-requisite: N/A
 -------------------------------------------------------------*/
#ifndef INITCONFIG_H_
#define INITCONFIG_H_

// code read protection (as per UM10360 Chapter 32.6)
#define CRP1  0x12345678
#define CRP2  0x87654321
#define CRP3  0x43218765
#define NOCRP 0x11223344

extern const unsigned crp;

extern void clock_power_profile(char);  // select clock/power profile
extern void setSystemTimer(void);	// re-define the 10ms system timer when the CPU clock frequency changes
extern void interruptsEnable(int);  // enable/disable interrupts
extern void  USB_Init       (void);



#endif /* INITCONFIG_H_ */
